Subject: [AVT] RTCP reports while PAUSEd

From: Nitsan Duvdevani <[email-masked]>
Date: Tue, 7 May 2002 09:04:51 +0300

I am trying to find an answer to the question "What does the standard
specify about RTCP reports while a streaming session is paused?". The
following is taken from RFC 2326 (section A.2) - the emphasis (for those who
see it) is mine:

In general, the server changes state on receiving requests. If the
server is in state Playing or Recording and in unicast mode, it MAY
revert to Init and tear down the RTSP session if it has not received
"wellness" information, such as RTCP reports or RTSP commands, from
the client for a defined interval, with a default of one minute. The
server can declare another timeout value in the Session response
header (Section 12.37). If the server is in state Ready, it MAY
revert to Init if it does not receive an RTSP request for an interval
of more than one minute. Note that some requests (such as PAUSE) may
be effective at a future time or position, and server state changes
at the appropriate time. The server reverts from state Playing or
Recording to state Ready at the end of the range requested by the
client.

After reading it, it seems that the standard suggests that PAUSE (which
transfers the state to Ready) will cause the session to NOT be considered as
an active session, and to be disconnected after one minute, unless RTCP
reports or new RTSP commands received.

Any comments?

Thank you,

Nitsan Duvdevani
Research Specialist
Chief Technology Office
EMBLAZE Systems, Ltd.
1 Corazin Street, Givataim 53583, Israel
Phone: +972-3-5722111 ext. 2894
Mobile: +972-55-610863
Fax: +972-3-5722100
mailto:[email-masked]

**************************************************************************************************
The contents of this email and any attachments are confidential.
It is intended for the named recipient(s) only.
If you have received this email in error please notify the system manager or  the 
sender immediately and do not disclose the contents to any one or make copies.

** eSafe scanned this email for viruses, vandals and malicious content **
**************************************************************************************************

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Tue, 07 May 2002 11:42:01 +0100

>reports or new RTSP commands received.

I would expect the client to send RTCP during the pause period, but you may
get a better answer to this question by asking on the MMUSIC mailing list.

Colin